/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: AccessLog.java,v 1.2 1996/08/04 15:22:33 davidw Exp $
// 
// $Log: AccessLog.java,v $
// Revision 1.2  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.1  1996/06/23 12:31:20  davidw
// Initial revision
//


package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;

import java.lang.*;
import java.io.*;
import java.util.*;

// Log looks like this
// ginger.cascade.demon.co.uk - - [20/Jun/1996:19:46:19 +0000] "GET / HTTP/1.0" 200 839

public class AccessLog implements LoggingClass
{
    private HTTPInformation info;
    private static String months[] = 
    {
	"Jan", "Feb", "Mar", "Apr", "May", "Jun", 
	"Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
    };
    
    public AccessLog()
    {
    }

    public String toString(HTTPInformation i)
    {
	StringBuffer s = new StringBuffer();

	info = i;

	s.append(getHost());
	s.append(" ");
	s.append(getRemoteIdent());
	s.append(" ");
	s.append(getRemoteUser());
	s.append(" ");
	s.append(getTimeStamp());
	s.append(" ");
	s.append(getRequestString());
	s.append(" ");
	s.append(getStatus());
	s.append(" ");
	s.append(getNumBytes());

	return s.toString();
    }

    private String getHost()
    {
	if (info.remoteHost != null)
	{
	    return info.remoteHost;
	}

	return info.remoteAddr;
    }

    private String getRemoteIdent()
    {
	if (info.remoteIdent != null)
	{
	    return info.remoteIdent;
	}

	return "-";
    }

    private String getRemoteUser()
    {
	if (info.remoteUser != null)
	{
	    return info.remoteUser;
	}

	return "-";
    }

    private String getTimeStamp()
    {
	Date now = new Date();
	return Logger.getDateString(now);
    }

    private String getRequestString()
    {
	return "\"" + info.requestString + "\"";
    }

    private String getStatus()
    {
	Integer i = new Integer(info.status);
	return i.toString();
    }

    private String getNumBytes()
    {
	Integer i = new Integer(info.bytesTransferred);
	return i.toString();
    }

}
