/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: HTTPConfigurationServerRoot.java,v 1.3 1996/08/04 15:22:33 davidw Exp $
//
// $Log: HTTPConfigurationServerRoot.java,v $
// Revision 1.3  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.2  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.1  1996/04/13 22:06:18  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;


import java.util.*;

public class HTTPConfigurationServerRoot implements ConfigurationClass
{
    private static String root;

    static
    {
	root = "/usr/www";
    }


    public boolean configure(Vector tokens) throws InvalidHTTPConfigurationException
    {
	if (tokens.size() < 2)
	{
	    throw (new InvalidHTTPConfigurationException("No server root specified")); 
	}

	root = (String)tokens.elementAt(1);
	HTTPSystem.verbose("Setting ServerRoot to " + root);
	
	// Don't need to preserve this class as all data is static
	return false;
    }


    public static String getServerRoot()
    {
	return root;
    }
}



