/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: HTTPEnvironment.java,v 1.7 1996/08/04 15:22:33 davidw Exp $
//
// $Log: HTTPEnvironment.java,v $
// Revision 1.7  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.6  1996/06/23 12:39:15  davidw
// Don't set up constants here any more, they get picked up from HTTPInformation
//
// Revision 1.5  1996/06/05 18:04:02  davidw
// Don't set up protocol by default - HTTPRequest does this now.
//
// Revision 1.4  1996/06/03 20:13:37  davidw
// Made strings public
//
// Revision 1.3  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.2  1996/05/06 10:38:11  davidw
// Added lots of environment variables
//
// Revision 1.1  1996/04/28 09:53:49  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;


import java.util.*;

public class HTTPEnvironment
{

    // What are all the environment variables called?

    public final static String authType       = "AUTH_TYPE";
    public final static String contentLength  = "CONTENT_LENGTH";
    public final static String docRoot        = "DOCUMENT_ROOT";
    public final static String gateway        = "GATEWAY_INTERFACE";
    public final static String accept         = "HTTP_ACCEPT";
    public final static String connection     = "HTTP_CONNECTION";
    public final static String host           = "HTTP_HOST";
    public final static String pragma         = "HTTP_PRAGMA";
    public final static String referer        = "HTTP_REFERER";
    public final static String userAgent      = "HTTP_USER_AGENT";
    public final static String pathInfo       = "PATH_INFO";
    public final static String translatedPath = "PATH_TRANSLATED";
    public final static String queryString    = "QUERY_STRING";
    public final static String remoteAddr     = "REMOTE_ADDR";
    public final static String remoteHost     = "REMOTE_HOST";
    public final static String remoteIdent    = "REMOTE_IDENT";
    public final static String remoteUser     = "REMOTE_USER";
    public final static String requestMethod  = "REQUEST_METHOD";
    public final static String fileName       = "SCRIPT_FILENAME";
    public final static String scriptName     = "SCRIPT_NAME";
    public final static String serverAdmin    = "SERVER_ADMIN";
    public final static String serverName     = "SERVER_NAME";
    public final static String serverPort     = "SERVER_PORT";
    public final static String serverProtocol = "SERVER_PROTOCOL";
    public final static String serverSoftware = "SERVER_SOFTWARE";
    

    private Hashtable env;


    public HTTPEnvironment()
    {
	env = new Hashtable();
    }

    public synchronized void put(String key, String value)
    {
	if (key != null && value != null)
	{
	    env.put(key, value);
	}
    }
    
    
    public String get(String key)
    {
	return (String) env.get(key);
    }

    public Enumeration keys()
    {
	return env.keys();
    }

    public Enumeration elements()
    {
	return env.elements();
    }

    public synchronized String[] toArray()
    {
	String s[] = new String[env.size()];
	int i = 0;

	for (Enumeration e = env.keys(); e.hasMoreElements();)
	{
	    String key = (String) e.nextElement();
	    StringBuffer sb = new StringBuffer(key);
	    
	    sb.append("=");
	    sb.append((String)env.get(key));
	    
	    s[i++] = sb.toString();
	}

	return s;
    }

}

