/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: HTTPGetMethod.java,v 1.9 1996/08/04 15:22:33 davidw Exp $
//
// $Log: HTTPGetMethod.java,v $
// Revision 1.9  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.8  1996/06/23 12:42:23  davidw
// Use HTTPInformation instead of HTTPEnvironment
//
// Revision 1.7  1996/06/05 18:06:06  davidw
// Added HTTP/0.9 support
//
// Revision 1.6  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.5  1996/05/06 10:39:11  davidw
// Set up Request Method in environment and pass environment into PathTranslator
//
// Revision 1.4  1996/04/28 14:04:08  davidw
// Major rewrite - let the objects do most of the work
//
// Revision 1.3  1996/04/28 09:57:32  davidw
// Use PathTranslator properly
//
// Revision 1.2  1996/04/14 17:56:30  davidw
// Call HTTPResponse to output status
//
// Revision 1.1  1996/04/13 22:09:17  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;

import java.io.*;

public class HTTPGetMethod extends HTTPMethod
{
    private HTTPObject obj = null;
    
    public HTTPGetMethod()
    {
	super();
    }


    public void process() throws HTTPException
    {
	info.requestMethod= "GET";

	PathTranslator tx = new PathTranslator(response, info);
	
	obj = tx.getHTTPObject(path);
	obj.setOutputStream(os);
	
	if (!info.serverProtocol.equalsIgnoreCase("HTTP/0.9"))
	{
	    response.printStatus(os, HTTPStatus.OK);
	    
	    if (!obj.generatesHeaders())
	    {
		response.printHeaders(os);
	    }
	}
	
	obj.start();

    }

    public boolean isAlive()
    {
	if (obj == null)
	{
	    return false;
	}

	return obj.isAlive();
    }
}
