/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: HTTPInformation.java,v 1.2 1996/08/04 15:22:33 davidw Exp $
// 
// $Log: HTTPInformation.java,v $
// Revision 1.2  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.1  1996/06/23 12:37:04  davidw
// Initial revision
//

// Information about this transaction

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;

import java.lang.*;
import java.io.*;
import java.util.*;


public class HTTPInformation
{
    private String filename;
    private FileOutputStream os;
    private LogQueue queue;

    public String authType;
    public int    bytesTransferred;
    public String contentLength;
    public String docRoot;
    public String gateway;
    public String accept;
    public String connection;
    public String host;
    public String pragma;
    public String referer;
    public String userAgent;
    public String pathInfo;
    public String translatedPath;
    public String queryString;
    public String remoteAddr;
    public String remoteHost;
    public String remoteIdent;
    public String remoteUser;
    public String requestMethod;
    public String requestString;
    public String fileName;
    public String scriptName;
    public String serverAdmin;
    public String serverName;
    public int    serverPort;
    public String serverProtocol;
    public String serverSoftware;
    public int    status;
    

    public HTTPInformation()
    {
	// Set up some known constants & defaults
	serverSoftware   = Info.id;
	gateway          = Info.gatewayId;
	serverPort       = HTTPConfigurationPort.getPort();
	docRoot          = HTTPConfigurationDocumentRoot.getDocumentRoot();
	bytesTransferred = 0;
    }
    

    public HTTPEnvironment toEnvironment()
    {
	HTTPEnvironment env = new HTTPEnvironment();

	env.put(HTTPEnvironment.authType, authType);
	env.put(HTTPEnvironment.contentLength, contentLength);
	env.put(HTTPEnvironment.docRoot, docRoot);
	env.put(HTTPEnvironment.gateway, gateway);
	env.put(HTTPEnvironment.accept, accept);
	env.put(HTTPEnvironment.connection, connection);
	env.put(HTTPEnvironment.host, host);
	env.put(HTTPEnvironment.pragma, pragma);
	env.put(HTTPEnvironment.referer, referer);
	env.put(HTTPEnvironment.userAgent, userAgent);
	env.put(HTTPEnvironment.pathInfo, pathInfo);
	env.put(HTTPEnvironment.translatedPath, translatedPath);
	env.put(HTTPEnvironment.queryString, queryString);
	env.put(HTTPEnvironment.remoteAddr, remoteAddr);
	env.put(HTTPEnvironment.remoteHost, remoteHost);
	env.put(HTTPEnvironment.remoteIdent, remoteIdent);
	env.put(HTTPEnvironment.remoteUser, remoteUser);
	env.put(HTTPEnvironment.requestMethod, requestMethod);
	env.put(HTTPEnvironment.fileName, fileName);
	env.put(HTTPEnvironment.scriptName, scriptName);
	env.put(HTTPEnvironment.serverAdmin, serverAdmin);
	env.put(HTTPEnvironment.serverName, serverName);
	env.put(HTTPEnvironment.serverPort, new Integer(serverPort).toString());
	env.put(HTTPEnvironment.serverProtocol, serverProtocol);
	env.put(HTTPEnvironment.serverSoftware, serverSoftware);

	return env;
    }
}
