/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: HTTPMethod.java,v 1.8 1996/08/04 15:22:33 davidw Exp $
//
// $Log: HTTPMethod.java,v $
// Revision 1.8  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.7  1996/06/23 12:44:49  davidw
// Use HTTPInformation instead of HTTPEnvironment
// Set up referer in info
//
// Revision 1.6  1996/06/05 18:07:41  davidw
// Use MessageHeaders instead of Hashtable
// Setup hostname/IP address in environment
//
// Revision 1.5  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.4  1996/05/06 10:39:52  davidw
// Added setInputStream and setUpEnvironment
//
// Revision 1.3  1996/04/28 14:05:07  davidw
// Added isAlive method
//
// Revision 1.2  1996/04/28 09:58:14  davidw
// removed translatedPath member variable
//
// Revision 1.1  1996/04/13 22:09:51  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;

import java.util.*;
import java.io.*;
import java.net.*;


public abstract class HTTPMethod
{
    protected HTTPResponse response;
    protected MessageHeaders headers;
    protected InputStream is;
    protected OutputStream os;
    protected String path;
    protected HTTPInformation info;

    public HTTPMethod()
    {
    }

    public void setInfo(HTTPInformation i)
    {
	info = i;
	response = new HTTPResponse(i);
    }

    public void setPath(String p)
    {
	path = p;
    }


    public void setInputStream(InputStream stream)
    {
	is = stream;
    }

    public void setOutputStream(OutputStream stream)
    {
	os = stream;
    }

    public void setHeaders(MessageHeaders h)
    {
	headers = h;
    }

    public void setProtocol(String protocol)
    {
	info.serverProtocol = protocol;
    }

    public abstract void process() throws HTTPException;

    public abstract boolean isAlive();

    public void setUpInfo(Socket s)
    {
	info.accept        = (String)headers.get("Accept");
	info.pragma        = (String)headers.get("Pragma");
	info.userAgent     = (String)headers.get("User-Agent");
	info.connection    = (String)headers.get("Connection");
	info.accept        = (String)headers.get("Accept");
	info.contentLength = (String)headers.get("Content-Length");
	info.referer       = (String)headers.get("Referer");

	// Socket Stuff
	InetAddress addr  = s.getInetAddress();
	info.remoteAddr   = addr.toString();
	info.remoteHost   = addr.getHostName();
    }
}
