/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: HTTPPostMethod.java,v 1.4 1996/08/04 15:22:33 davidw Exp $
//
// $Log: HTTPPostMethod.java,v $
// Revision 1.4  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.3  1996/06/23 12:49:15  davidw
// Use HTTPInformation instead of HTTPEnvironment
//
// Revision 1.2  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.1  1996/05/06 10:40:47  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;

import java.io.*;

public class HTTPPostMethod extends HTTPMethod
{
    private HTTPObject obj = null;
    
    public HTTPPostMethod()
    {
	super();
    }


    public void process() throws HTTPException
    {
	info.requestMethod = "POST";

	PathTranslator tx = new PathTranslator(response, info);
	
	obj = tx.getHTTPObject(path);
	obj.setInputStream(is);
	obj.setOutputStream(os);
	
	response.printStatus(os, HTTPStatus.OK);
	
	if (!obj.generatesHeaders())
	{
	    response.printHeaders(os);
	}
	
	obj.start();

    }

    public boolean isAlive()
    {
	if (obj == null)
	{
	    return false;
	}

	return obj.isAlive();
    }
}
