/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: MimeTypeDictionary.java,v 1.3 1996/08/04 15:22:33 davidw Exp $
//
// $Log: MimeTypeDictionary.java,v $
// Revision 1.3  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.2  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.1  1996/04/13 22:11:23  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;

import java.util.*;

public class MimeTypeDictionary
{
    private static Hashtable hash;
    
    static
    {
	hash = new Hashtable();
	setDefaultType("text/plain");
    }


    public static void addType(String suffix, String mimetype)
    {
	HTTPSystem.verbose("Adding mime-type " + mimetype + " for \"" + suffix + "\" files");
	hash.put(suffix, mimetype);
    }


    public static String getType(String filename)
    {
	String mimeType = null;
	String s = new String(filename);

	try 
	{
	    while (mimeType == null)
	    {
		s = s.substring(1);
		mimeType = (String) hash.get(s);
	    }

	}
	catch (StringIndexOutOfBoundsException e)
	{
	    mimeType = (String) hash.get("");
	}

	return mimeType;
    }


    public static void setDefaultType(String mimetype)
    {
	addType("", mimetype);
    }
}




