/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: RefererLog.java,v 1.2 1996/08/04 15:22:33 davidw Exp $
// 
// $Log: RefererLog.java,v $
// Revision 1.2  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.1  1996/06/23 12:31:20  davidw
// Initial revision
//


package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;

import java.lang.*;
import java.io.*;
import java.util.*;


public class RefererLog implements LoggingClass
{
    private HTTPInformation info;
    
    public RefererLog()
    {
    }

    public String toString(HTTPInformation i)
    {
	info = i;

       	// if no referer, don't bother logging

	if (getReferer() == null)
	{
	    return null;
	}

	StringBuffer s = new StringBuffer();

	s.append(getHost());
	s.append(" ");
	s.append(getTimeStamp());
	s.append(" ");
	s.append(getRequestPath());
	s.append(" ");
	s.append(getReferer());

	return s.toString();
    }

    private String getHost()
    {
	if (info.remoteHost != null)
	{
	    return info.remoteHost;
	}

	return info.remoteAddr;
    }


    private String getTimeStamp()
    {
	Date now = new Date();
	return Logger.getDateString(now);
    }

    private String getRequestPath()
    {
	return info.scriptName;
    }

    private String getReferer()
    {
	return info.referer;
    }
}
