/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: TestExtension.java,v 1.4 1996/08/04 15:22:33 davidw Exp $
//
// $Log: TestExtension.java,v $
// Revision 1.4  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.3  1996/06/23 13:21:15  davidw
// Use HTTPInformation instead of HTTPEnvironment
//
// Revision 1.2  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.1  1996/04/28 09:59:30  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;

import java.io.*;

public class TestExtension implements HTTPServerExtension
{
    InputStream is;
    OutputStream os;
    HTTPInformation info;

    public void init(HTTPInformation httpInfo, InputStream in, OutputStream out)
    {
	info = httpInfo;
	is = in;
	os = out;
    }

    public void run()
    {
	try
	{
	    generateOutput();
	}
	catch (HTTPException e)
	{
	}
    }
    
    private void generateOutput() throws HTTPException
    {
	HTTPSystem.output(os, "Content-Type: text/html\n\n");
	HTTPSystem.output(os, "<html>\n");
	HTTPSystem.output(os, "<head>\n");
	HTTPSystem.output(os, "<title>Test Extension</title>\n");
	HTTPSystem.output(os, "</head>\n");
	HTTPSystem.output(os, "<body>\n");
	HTTPSystem.output(os, "<h1>HTTP Server Test Extension</h1>\n");
	HTTPSystem.output(os, "</body>\n");
	HTTPSystem.output(os, "</html>\n");
    }
}

